cURL
curl --request POST \ --url https://api.sequence.app/rpc/API/GetSwapQuote \ --header 'Content-Type: application/json' \ --header 'X-Access-Key: <api-key>' \ --data ' { "userAddress": "0x1fEA9Fcbd1989C0f2D0Fbad08144c528c7F5ea54", "sellCurrencyAddress": "0x1c7d4b196cb0c7b01d743fbc6116a902379c7238", "buyCurrencyAddress": "0x50ba9d89fbfa2862d0447281219a3058e7724224", "buyAmount": "1000000000000000000", "chainId": 11155111, "includeApprove": true } '
{ "swapQuote": { "currencyAddress": "<string>", "currencyBalance": "<string>", "price": "<string>", "maxPrice": "<string>", "to": "<string>", "transactionData": "<string>", "transactionValue": "<string>", "approveData": "<string>" } }
Public project access key for authenticating requests obtained on Sequence Builder. Example Test Key: AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
OK
Show child attributes
Was this page helpful?